package com.icomsys.main_vm.common.code.enumresource;

import lombok.Getter;

import java.util.Arrays;
import java.util.List;

@Getter
public enum SolTypeResource {

    MAIN("MAIN", "상위서비스그룹"), 
    ADD("주소봇","주소봇"),
    BOT("스텐다드봇","STANDARDBOT"),
    GUD("상담가이드봇","상담가이드봇"),
    RCP("무인접수봇","무인접수봇"),
    VDO("영상상담봇","영상상담봇")
    ;

    private String solName;
    private String solDesc;

    SolTypeResource(String solName, String solDesc) {
        this.solName = solName;
        this.solDesc = solDesc;
    }

    public String getName(){
        return name();
    }

    public static final List<SolTypeResource> ALL = Arrays.asList(ADD, BOT, GUD, RCP, VDO);


}
